OptionsPanel = class(Turbine.UI.Control);

function OptionsPanel:Constructor()
	Turbine.UI.Control.Constructor(self);

    self:SetSize(400, 200);

    self.checkbox = Turbine.UI.Lotro.CheckBox();
    self.checkbox:SetParent(self);
    self.checkbox:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
    self.checkbox:SetForeColor(Turbine.UI.Color(0.8, 0.75, 0.5));
    self.checkbox:SetSize(180, 20);
    self.checkbox:SetPosition(10, 10);
    self.checkbox:SetCheckAlignment(Turbine.UI.ContentAlignment.MiddleRight);
    self.checkbox:SetText("Hide window on load");
    self.checkbox:SetChecked(hidewindowonload);

    -- workaround for CheckBox.CheckedChanged not working
    self.checkbox.Checked = false;
    self.checkbox:SetWantsUpdates(false);
    self.checkbox.FocusGained = function()
        self.checkbox:SetWantsUpdates(true);
    end
    self.checkbox.FocusLost = function()
        self.checkbox:SetWantsUpdates(false);
    end
    self.checkbox.Update = function()
        if self.checkbox.Checked ~= self.checkbox:IsChecked() then
            self.checkbox.Checked = self.checkbox:IsChecked();
            hidewindowonload = self.checkbox.Checked;
            saveSettings();
        end
    end
end
